LINUX.ORG.RU

Ubuntu + Radeon

 , , ,


0

1

Здраствуйте.

Имеется ноутбук hp tpn-c125 с наклейкой amd radeon, когда стояла винда, работала карта от amd

Сейчас lspci | grep -E «VGA|3D»

выдает

00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 35)

Так понимаю, что все видео идет через процессор.

Какой драйвер стоит поставить?

Попробовал

wget -c --referer='http://support.amd.com/ru-ru/download/desktop?os=Linux x86' https://www2.ati.com/drivers/linux/ubuntu/amdgpu-pro-16.60-379184.tar.xz

но выдало ошибку, что есть поврежденные пакеты.

P.S. Увидел что настройка для 32 битной убунты.

Как сделать так, что бы видео обрабатывалось видео картой от радеона и не грузило процессор

Теперь выдает новые ошибки, не знаю что делать

Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Вы можете запустить «apt --fix-broken install» для исправления этих ошибок. Следующие пакеты имеют неудовлетворённые зависимости: amdgpu-dkms : Зависит: amdgpu-core но он не установлен amdgpu-lib : Зависит: amdgpu-core (= 19.20-812932) но он не установлен glamor-amdgpu : Зависит: amdgpu-core но он не установлен gst-omx-amdgpu : Зависит: amdgpu-core но он не установлен libdrm-amdgpu-common : Зависит: amdgpu-core но он не установлен libdrm2-amdgpu : Зависит: amdgpu-core но он не установлен libdrm2-amdgpu:i386 : Зависит: amdgpu-core:i386 libegl1-amdgpu-mesa : Зависит: amdgpu-core но он не установлен libegl1-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386 libgbm1-amdgpu : Зависит: amdgpu-core но он не установлен libgbm1-amdgpu:i386 : Зависит: amdgpu-core:i386 libgl1-amdgpu-mesa-dri : Зависит: amdgpu-core но он не установлен Рекомендует: libtxc-dxtn-s2tc0 но он не может быть установлен или libtxc-dxtn0 но он не может быть установлен libgl1-amdgpu-mesa-dri:i386 : Зависит: amdgpu-core:i386 Рекомендует: libtxc-dxtn-s2tc0:i386 но он не может быть установлен или libtxc-dxtn0:i386 но он не может быть установлен libglapi-amdgpu-mesa : Зависит: amdgpu-core но он не установлен libglapi-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386 libllvm7.1-amdgpu : Зависит: amdgpu-core но он не установлен libllvm7.1-amdgpu:i386 : Зависит: amdgpu-core:i386 libwayland-amdgpu-client0 : Зависит: amdgpu-core но он не установлен libwayland-amdgpu-client0:i386 : Зависит: amdgpu-core:i386 libwayland-amdgpu-egl1 : Зависит: amdgpu-core но он не установлен libwayland-amdgpu-egl1:i386 : Зависит: amdgpu-core:i386 libwayland-amdgpu-server0 : Зависит: amdgpu-core но он не установлен libwayland-amdgpu-server0:i386 : Зависит: amdgpu-core:i386 mesa-amdgpu-va-drivers : Зависит: amdgpu-core но он не установлен mesa-amdgpu-va-drivers:i386 : Зависит: amdgpu-core:i386 mesa-amdgpu-vdpau-drivers : Зависит: amdgpu-core но он не установлен mesa-amdgpu-vdpau-drivers:i386 : Зависит: amdgpu-core:i386 xserver-xorg-amdgpu-video-amdgpu : Зависит: amdgpu-core но он не установлен E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета (или указав решение).

egor_web ()

Re: Теперь выдает новые ошибки, не знаю что делать

для начала определись, подходит ли тебе amdgpu. R5 вроде были еще terascale (не знаю конкретно про R5M330) и в deb-based требовали xserver-xorg-video-radeon из реп.

anonymous ()
Ответ на: комментарий от anonymous

00:02.0 VGA compatible controller: Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 35) Subsystem: Hewlett-Packard Company Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller Kernel driver in use: i915 Kernel modules: i915 -- 01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 / M430 / Radeon 520 Mobile] (rev 83) Subsystem: Hewlett-Packard Company Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 / M430 / R7 M520] Kernel driver in use: radeon Kernel modules: radeon, amdgpu

egor_web ()
Ответ на: комментарий от xDShot

Не работает sudo apt-get install

Не установить эту утилиту.

Сейчас убунту завелась только через wayland

При логине выбрасывает обратно в окно с выбором пользователя, если нажать обычный вход

egor_web ()
Ответ на: Re: Не работает sudo apt-get install от anonymous
sudo apt-get update 

Пишет

Пол:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Игн:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Пол:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Пол:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Пол:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg                                                    
Игн:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg                                                    
Сущ:4 http://ru.archive.ubuntu.com/ubuntu disco InRelease                                              
Сущ:5 http://ppa.launchpad.net/neovim-ppa/stable/ubuntu disco InRelease                                
Сущ:6 http://ru.archive.ubuntu.com/ubuntu disco-updates InRelease                 
Сущ:7 http://ru.archive.ubuntu.com/ubuntu disco-backports InRelease               
Сущ:8 http://security.ubuntu.com/ubuntu disco-security InRelease                  
Чтение списков пакетов… Готово  
sudo apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Вы можете запустить «apt --fix-broken install» для исправления этих ошибок.
Следующие пакеты имеют неудовлетворённые зависимости:
 amdgpu-dkms : Зависит: amdgpu-core но он не установлен
 amdgpu-lib : Зависит: amdgpu-core (= 19.20-812932) но он не установлен
 glamor-amdgpu : Зависит: amdgpu-core но он не установлен
 gst-omx-amdgpu : Зависит: amdgpu-core но он не установлен
 libdrm-amdgpu-common : Зависит: amdgpu-core но он не установлен
 libdrm2-amdgpu : Зависит: amdgpu-core но он не установлен
 libdrm2-amdgpu:i386 : Зависит: amdgpu-core:i386
 libegl1-amdgpu-mesa : Зависит: amdgpu-core но он не установлен
 libegl1-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386
 libgbm1-amdgpu : Зависит: amdgpu-core но он не установлен
 libgbm1-amdgpu:i386 : Зависит: amdgpu-core:i386
 libgl1-amdgpu-mesa-dri : Зависит: amdgpu-core но он не установлен
                          Рекомендует: libtxc-dxtn-s2tc0 но он не может быть установлен или
                                                  libtxc-dxtn0 но он не может быть установлен
 libgl1-amdgpu-mesa-dri:i386 : Зависит: amdgpu-core:i386
                               Рекомендует: libtxc-dxtn-s2tc0:i386 но он не может быть установлен или
                                                       libtxc-dxtn0:i386 но он не может быть установлен
 libglapi-amdgpu-mesa : Зависит: amdgpu-core но он не установлен
 libglapi-amdgpu-mesa:i386 : Зависит: amdgpu-core:i386
 libllvm7.1-amdgpu : Зависит: amdgpu-core но он не установлен
 libllvm7.1-amdgpu:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-client0 : Зависит: amdgpu-core но он не установлен
 libwayland-amdgpu-client0:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-egl1 : Зависит: amdgpu-core но он не установлен
 libwayland-amdgpu-egl1:i386 : Зависит: amdgpu-core:i386
 libwayland-amdgpu-server0 : Зависит: amdgpu-core но он не установлен
 libwayland-amdgpu-server0:i386 : Зависит: amdgpu-core:i386
 mesa-amdgpu-va-drivers : Зависит: amdgpu-core но он не установлен
 mesa-amdgpu-va-drivers:i386 : Зависит: amdgpu-core:i386
 mesa-amdgpu-vdpau-drivers : Зависит: amdgpu-core но он не установлен
 mesa-amdgpu-vdpau-drivers:i386 : Зависит: amdgpu-core:i386
 xserver-xorg-amdgpu-video-amdgpu : Зависит: amdgpu-core но он не установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета (или указав решение).
egor_web ()
Ответ на: комментарий от Aber
vblank_mode=0 glxgears
ATTENTION: default value of option vblank_mode overridden by environment.
10675 frames in 5.0 seconds = 2134.846 FPS
11277 frames in 5.0 seconds = 2255.199 FPS

Да, прирост значительный

Тогда такой вопрос, как бы глупо это не звучало, но как сделать так, что бы игры из стима шли под этим фпс, или дополнительные настройки не нужны.

Так и не нашел как поставить драйвер amdgpu-pro Я ставлю так

 sudo ./amdgpu-pro-install 

и он выдает ошибку

E: Sub-process /usr/bin/dpkg returned an error code (1)

Перед установкой (помойму) пакета amd-core-XX

egor_web ()
Ответ на: комментарий от anonymous

Понял где ошибся.

Как посмотреть какую видеокарту используют игры из стима? И как сделать так , что бы использовали карту от амд, если по умолчанию не она включена.

Так как игры, что шли под виндой, сейчас тормозят жутко.

egor_web ()